//CDIceCream.cs

//audio
datablock AudioProfile(EatSound)
{
   filename    = "./Eat.wav";
   description = AudioClose3d;
   preload = true;
};

datablock ItemData(CDIceCreamItem)
{
	category = "Weapon";  // Mission editor category
	className = "Weapon"; // For inventory system

	 // Basic Item Properties
	shapeFile = "./CDIceCream.dts";
	rotate = false;
	mass = 1;
	density = 0.2;
	elasticity = 0.2;
	friction = 0.6;
	emap = true;

	//gui stuff
	uiName = "CDIceCream";
	iconName = "./Icon_CDIceCream";
	doColorShift = false;

	 // Dynamic properties defined by the scripts
	image = CDIceCreamImage;
	canDrop = true;
};

datablock ShapeBaseImageData(CDIceCreamImage)
{
   // Basic Item properties
   shapeFile = "./CDIceCream.dts";
   emap = true;

   // Specify mount point & offset for 3rd person, and eye offset
   // for first person rendering.
   mountPoint = 0;
   offset = "-.05 0 0";
   eyeOffset = 0; //"0.7 1.2 -0.25";
   rotation = eulerToMatrix( "0 0 0" );

   className = "WeaponImage";
   item = CDIceCreamItem;

   //raise your arm up or not
   armReady = false;

   doColorShift = false;

   // Initial start up state
	stateName[0]                     = "Ready";
	stateTransitionOnTriggerDown[0]  = "Fire";
	stateAllowImageChange[0]         = true;

	stateName[1]                     = "Fire";
	stateTransitionOnTimeout[1]      = "Ready";
	stateAllowImageChange[1]         = true;
      stateScript[1]                   = "onFire";
	stateTimeoutValue[1]		   = 1;
	stateSound[1]					= EatSound;
};

function CDIceCreamImage::onFire(%this,%obj,%slot)
{
	

	for(%i=0;%i<5;%i++)
	{
		%toolDB = %obj.tool[%i];
		if(%toolDB $= %this.item.getID())
		{
			%obj.setDamageLevel(0);
			%obj.emote(CDIceCreamHealImage);
			%obj.tool[%i] = 0;
			%obj.weaponCount--;
			messageClient(%obj.client,'MsgItemPickup','',%i,0);
			serverCmdUnUseTool(%obj.client);
			break;
		}
	}
}

package CDIceCreamPackage
{
   function Armor::onCollision(%this, %obj, %col, %thing, %other)
   {
      if(%col.dataBlock $= "CDIceCreamItem" && %col.pickupNow !$= 1)
      {
         if(!isObject(%col.spawnbrick))   
         {
            if((%obj.getDamageLevel() >= 1))
            {
               %obj.setDamageLevel(0);
               %obj.emote(CDIceCreamHealImage);
               %col.delete();
            }
            else
               %col.pickupNow = 1;
            return;
         }
      }
      Parent::onCollision(%this, %obj, %col, %thing, %others);
   }
};
activatePackage(CDIceCreamPackage);